Subject: [Detnet] DetNet Bounded Latency Requirements draft

From: "Grossman, Ethan A." <[email-masked]>
Date: Tue, 13 Aug 2019 21:20:26 +0000

Hi Liang,
This is regarding your draft on DetNet Bounded Latency Requirements, and its relation to the published DetNet Use Cases (RFC8578), as we discussed at the DetNet IETF 105 session. The point that I would like to make is that during the three years we worked on the DetNet Use Cases draft, we always expected that DetNet would be successful and so there would of course be more use cases after the DetNet Use Cases draft was published. So with that in mind we created the DetNet Use Cases Common Themes section of RFC8578, which are basically the “lowest common denominator” of requirements (parameterization) based on examining all of the use cases that we had, with the reasoning that if these were enough to cover these nine use cases from very diverse industries, they should cover pretty much any future use case for DetNet.

So my question for you is, once you have reviewed those Common Themes (RFC8578 section 11), can you identify any specific gap between those Common Themes and what your requirements draft is asking for?

Regarding the degree of specific-ness of the RFC8578 use cases compared to your draft, as Janos observed during the session, there are many specific performance requirements listed in the individual use case sections, and the goal was to make sure that none of those were excluded from the network designer’s ability to create a network that would serve that application. In other words the Data Model (and thus YANG models) would be designed to include the relevant levers (parameters) to enable a DetNet network to be configured for any of these (and presumably future) use cases.

So if there are any gaps that you can see, I would say that the most important thing is to identify those gaps and present them to the WG. Then you can request from the WG that the Data Model and YANG models include these additional parameters. These are still open drafts, and they represent the actual ability of the network to provision a DetNet to the requirements as expressed in your draft.

Sincerely,
Ethan (as RFC8578 Editor and DetNet Secretary)